#include "SlideShowMenu.h"

#include <Foundation/NSArray.h>

@implementation SlideShowItem

-(void) setAction:(SEL) action
{
  if ( _action == action ) 
    return;
  
  _action = action;
  //Menu changed ??
}

-(SEL) action
{
  return _action;
}

-(void) setTarget: (id) target
{
  if (_target == target)
    return;
  
  _target = target;

  //Menu Changed ?
}

-(id) target
{
  return _target;
}

-(void) setImage: (NSImage*) image
{

//   NSAssert(image == nil || [image isKindOfClass: imageClass],
// 	   NSInvalidArgumentException);
  
  ASSIGN(_image, image);
  //Menu Changed ? 
}

-(NSImage*) image
{
  return _image;
}

-(void) setTag: (unsigned int) tag
{
  _tag = tag;
}

-(unsigned int) tag
{
  return _tag;
}


@end


@implementation SlideShowSubMenu

-(void) insertItem:(SlideShowItem*) item atIndex:(unsigned int) index 
{
  //  [self insertItem: item atIndex: [_items count]];
}

-(SlideShowItem *) itemAtIndex:(unsigned int) index
{
#warning exception
  return [_items objectAtIndex:index];
}

@end
